Bug 21139 - The floating toolbars have some issues
Summary: The floating toolbars have some issues
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 21099
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-01 16:06 UTC by Jonathan Druart
Modified: 2018-09-21 10:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21139: Floating toolbar - Remove dup id (1.13 KB, patch)
2018-08-01 16:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21139: Floating toolbars - Remove unecessary height (1.13 KB, patch)
2018-08-01 16:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21139: Floating toolbar - Remove horizontal scrollbar on resize (1.19 KB, patch)
2018-08-01 16:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21139: Floating toolbar - Resize toolbar on window resize (1.04 KB, patch)
2018-08-01 16:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21139: No table in toolbar (1.23 KB, patch)
2018-08-01 16:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21139: Floating toolbar - Remove dup id (1.17 KB, patch)
2018-08-01 18:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21139: Floating toolbars - Remove unecessary height (1.18 KB, patch)
2018-08-01 18:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21139: Floating toolbar - Remove horizontal scrollbar on resize (1.23 KB, patch)
2018-08-01 18:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21139: Floating toolbar - Resize toolbar on window resize (1.09 KB, patch)
2018-08-01 18:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21139: No table in toolbar (1.27 KB, patch)
2018-08-01 18:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21139: Floating toolbar - Remove dup id (1.23 KB, patch)
2018-08-01 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21139: Floating toolbars - Remove unecessary height (1.23 KB, patch)
2018-08-01 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21139: Floating toolbar - Remove horizontal scrollbar on resize (1.29 KB, patch)
2018-08-01 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21139: Floating toolbar - Resize toolbar on window resize (1.14 KB, patch)
2018-08-01 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21139: No table in toolbar (1.33 KB, patch)
2018-08-01 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21139: (follow-up) Floating toolbars - Remove unecessary height (1.24 KB, patch)
2018-08-15 17:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-08-01 16:06:36 UTC

    
Comment 1 Jonathan Druart 2018-08-01 16:21:29 UTC
Created attachment 77379 [details] [review]
Bug 21139: Floating toolbar - Remove dup id

We should not have twice the same id, we always use fixFloat() on an
element with an id and then duplicate this element.
The id must be changed (just in case)
Comment 2 Jonathan Druart 2018-08-01 16:21:33 UTC
Created attachment 77380 [details] [review]
Bug 21139: Floating toolbars - Remove unecessary height

This patch remove some pixels under the toolbar, they were used by the
hidden element.
Comment 3 Jonathan Druart 2018-08-01 16:21:37 UTC
Created attachment 77381 [details] [review]
Bug 21139: Floating toolbar - Remove horizontal scrollbar on resize

To test:
- add/edit a patron
- resize the window
=> Without this patch a horizontal scrollbar appears when resized
shorter
Comment 4 Jonathan Druart 2018-08-01 16:21:41 UTC
Created attachment 77382 [details] [review]
Bug 21139: Floating toolbar - Resize toolbar on window resize

Prior to this patch the toolbar was not resized when the window was
resized
Comment 5 Jonathan Druart 2018-08-01 16:21:45 UTC
Created attachment 77383 [details] [review]
Bug 21139: No table in toolbar

We do not need this selector, we will not have a table in the toolbar
Comment 6 Owen Leonard 2018-08-01 18:35:53 UTC
Created attachment 77391 [details] [review]
Bug 21139: Floating toolbar - Remove dup id

We should not have twice the same id, we always use fixFloat() on an
element with an id and then duplicate this element.
The id must be changed (just in case)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Owen Leonard 2018-08-01 18:35:57 UTC
Created attachment 77392 [details] [review]
Bug 21139: Floating toolbars - Remove unecessary height

This patch remove some pixels under the toolbar, they were used by the
hidden element.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 8 Owen Leonard 2018-08-01 18:36:00 UTC
Created attachment 77393 [details] [review]
Bug 21139: Floating toolbar - Remove horizontal scrollbar on resize

To test:
- add/edit a patron
- resize the window
=> Without this patch a horizontal scrollbar appears when resized
shorter

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 9 Owen Leonard 2018-08-01 18:36:04 UTC
Created attachment 77394 [details] [review]
Bug 21139: Floating toolbar - Resize toolbar on window resize

Prior to this patch the toolbar was not resized when the window was
resized

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 10 Owen Leonard 2018-08-01 18:36:07 UTC
Created attachment 77395 [details] [review]
Bug 21139: No table in toolbar

We do not need this selector, we will not have a table in the toolbar

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 11 Katrin Fischer 2018-08-01 22:02:09 UTC
Created attachment 77408 [details] [review]
Bug 21139: Floating toolbar - Remove dup id

We should not have twice the same id, we always use fixFloat() on an
element with an id and then duplicate this element.
The id must be changed (just in case)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2018-08-01 22:02:14 UTC
Created attachment 77409 [details] [review]
Bug 21139: Floating toolbars - Remove unecessary height

This patch remove some pixels under the toolbar, they were used by the
hidden element.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2018-08-01 22:02:18 UTC
Created attachment 77410 [details] [review]
Bug 21139: Floating toolbar - Remove horizontal scrollbar on resize

To test:
- add/edit a patron
- resize the window
=> Without this patch a horizontal scrollbar appears when resized
shorter

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2018-08-01 22:02:23 UTC
Created attachment 77411 [details] [review]
Bug 21139: Floating toolbar - Resize toolbar on window resize

Prior to this patch the toolbar was not resized when the window was
resized

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Katrin Fischer 2018-08-01 22:02:27 UTC
Created attachment 77412 [details] [review]
Bug 21139: No table in toolbar

We do not need this selector, we will not have a table in the toolbar

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Nick Clemens 2018-08-14 12:55:56 UTC
Awesome work all!

Pushed to master for 18.11
Comment 17 Jonathan Druart 2018-08-15 17:22:54 UTC
Created attachment 77843 [details] [review]
Bug 21139: (follow-up) Floating toolbars - Remove unecessary height

Found where QAing bug 20935, we actually want the hidden toolbar to be
the exact same height as the visible one.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 18 Martin Renvoize 2018-08-16 10:31:42 UTC
Pushed to 18.05.x for 18.05.03.. awaiting followup to be pushed to master before grabbing it.
Comment 19 Nick Clemens 2018-08-30 14:11:17 UTC
(In reply to Jonathan Druart from comment #17)
> Created attachment 77843 [details] [review] [review]
> Bug 21139: (follow-up) Floating toolbars - Remove unecessary height
> 
> Found where QAing bug 20935, we actually want the hidden toolbar to be
> the exact same height as the visible one.
> 
> Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Follow-up pushed to master
Comment 20 Martin Renvoize 2018-09-05 10:29:41 UTC
Folllow-up pushed to 18.05.x for 18.05.04
Comment 21 Fridolin SOMERS 2018-09-21 10:23:33 UTC
Pushed to 17.11.x for 17.11.10